summaryrefslogtreecommitdiff
path: root/init/redhat/zebra.init
diff options
context:
space:
mode:
Diffstat (limited to 'init/redhat/zebra.init')
-rw-r--r--init/redhat/zebra.init45
1 files changed, 45 insertions, 0 deletions
diff --git a/init/redhat/zebra.init b/init/redhat/zebra.init
new file mode 100644
index 00000000..b09918ad
--- /dev/null
+++ b/init/redhat/zebra.init
@@ -0,0 +1,45 @@
+#!/bin/bash
+#
+# chkconfig: - 15 85
+# description: GNU Zebra routing manager
+#
+# processname: zebra
+# config: /etc/zebra.conf
+
+# source function library
+. /etc/rc.d/init.d/functions
+
+RETVAL=0
+
+[ -f /etc/zebra.conf ] || exit 0
+
+case "$1" in
+ start)
+ echo -n "Starting zebra: "
+ daemon /usr/sbin/zebra -d
+ RETVAL=$?
+ [ $RETVAL -eq 0 ] && touch /var/lock/subsys/zebra
+ echo
+ ;;
+ stop)
+ echo -n "Shutting down zebra: "
+ killproc zebra
+ RETVAL=$?
+ [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/zebra
+ echo
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ RETVAL=$?
+ ;;
+ status)
+ status zebra
+ RETVAL=$?
+ ;;
+ *)
+ echo "Usage: zebra {start|stop|restart|status}"
+ exit 1
+esac
+
+exit $RETVAL